<img src="https://reactql.org/reactql/logo.svg" alt="ReactQL" width="278" height="77" />

![Travis](https://api.travis-ci.org/reactql/cli.svg?branch=master) ![npm](https://img.shields.io/npm/dt/reactql.svg?style=flat-square) ![license](https://img.shields.io/github/license/reactql/cli.svg?style=flat-square) [![Twitter Follow](https://img.shields.io/twitter/follow/reactql.svg?style=social&label=Follow)](https://twitter.com/reactql)

# Universal React+GraphQL starter kit CLI

React for UI. Apollo for GraphQL. Redux for stores. Browser + server-side rendering.

Easy CLI tool for Mac/Windows/Linux. Just `npm i -g reactql` and run `reactql new` to start your next project.

Maintained and updated regularly.

## Features

* Isomorphic React, Redux, Apollo GraphQL, SASS/LESS/PostCSS -- [extensive features](https://github.com/reactql/kit).
* Easy command line tool - works on Mac, Windows and Linux.
* Trivial to install/upgrade. Just `npm i -g reactql`.
* Start a new project in just one command - `reactql new`
* Easily bump an existing project to the latest version, with `reactql upgrade`
* CLI does all the heavy lifting - downloads the kit, install packages, and lets you get right to work.

See the [starter kit](https://github.com/reactql/kit) for a full feature list.

# Quick start

Install the ReactQL command-line tool on Mac/Windows/Linux:

```bash
npm i -g reactql
```

Then run `reactql` for help, or `reactql new` to start a new project.

<img src="https://reactql.org/reactql/screenshot.png" alt="Screenshot" width="570" height="678" />

# Documentation

## See **[https://reactql.org](https://reactql.org)** for full features + documentation.

# Follow @reactql for updates

[![Twitter Follow](https://img.shields.io/twitter/follow/reactql.svg?style=social&label=Follow)](https://twitter.com/reactql)

Get the latest updates by following us on Twitter: https://twitter.com/reactql

# New to GraphQL?

Watch my free [45 minute YouTube video](https://www.youtube.com/watch?v=DNPVqK_woRQ), for a live coding walk-through of putting together a GraphQL server with a database. Learn how to write queries, mutations and handle nested/related data.

If you want to build your own GraphQL server, check out the [GraphQL Server repo](https://github.com/reactql/examples/tree/master/graphql-server) in [examples](https://github.com/reactql/examples).
